#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int x;
    scanf("%d", &x);
    for (int i = 1; i <= x; i++)
        for (int j = 1; j <= x; j++)
            if (i % j == 0 && i * j > x && i < x * j)
                return printf("%d %d", i, j), 0;
    puts("-1");
    return 0;
}
